package fel.kte.pkropik.it;

public class Main {

    public static void main(String[] args) {
	    Ctverec ctv = new Ctverec(2, 4, 3, 10);

	    Ctverec.VnitrniVnorena cvv = ctv.getVV(66.6);

	    cvv.kdoJsem();

	    ctv.getVV(77.7).kdoJsem();

	    ctv.getVVvzdyStejna(88.8).kdoJsem();
		ctv.getVVvzdyStejna(99.9).kdoJsem();
		ctv.getVVvzdyStejna(11.1).kdoJsem();


		(new Infable() {
			@Override
			public void kdoJsem() {
				System.out.println("Jsem volani metody kdoJsem, objektu vytvoreneho podle anonymni tridy, implementujici interface Infable...");
			}
		}).kdoJsem();

		Infable pomKlasicky = new Infable() {
			@Override
			public void kdoJsem() {
				System.out.println("Jsem volani metody kdoJsem, objektu vytvoreneho podle anonymni tridy, implementujici interface Infable, pomoci promenne pom...");
			}
		};

		pomKlasicky.kdoJsem();

		Infable pomLambdou = () -> System.out.println("Jsem volani metody kdoJsem, objektu vytvoreneho podle anonymni tridy, implementujici interface Infable, pomoci lambda vyrazu...");

		pomLambdou.kdoJsem();

		ctv.informace().kdoJsem();
    }
}
